<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<meta http-equiv="Cache-Control" content="no-cache, no-store, must-revalidate">
	<meta http-equiv="Pragma" content="no-cache">
	<meta http-equiv="Expires" content="0">
	<title>Weilianqi</title>
	<link rel="stylesheet" href="style.css">
	<script type="text/javascript" src="vue.global.prod.js"></script>
</head>

<body>
<header>
<nav>
	<ul>
		<li><a href="/">Home</a></li>
		<li><a href="/play.html">Play</a></li>
		<li><a href="/articles.html">Articles</a></li>
	</ul>
</nav>
</header>
<div id="wlq-board">
	<svg version="1.1" :style="{ maxHeight: height+'px' }" viewBox="0 0 1000 866" xmlns="http://www.w3.org/2000/svg">
		<circle :cx=0 :cy=0 :r=150 stroke="purple" :fill=["red","green","blue"][player-1] opacity="1"></circle>
		<circle-item
			v-for="[key,circle] in circles"
			v-bind:info="circle"
			v-bind:rad="radius"
			@click="onClick(circle.x,circle.y)"
			></circle-item>
	</svg>
	<main>
	<p>{{scoretxt}}</p>
	<p><button @click="pass">Pass</button> <button @click="undo">Undo</button> <button @click="printScore">Score</button></p>
	<p>
	Size: 
	<input type="number" v-model=size min="1" max="30">
	<button @click="newBoard">New board</button>
	</p>
	<p>Height: <input type="number" v-model=height min="1"></p>
	<p>History: <input type="text" v-model=history readonly></p>
	<p><input type="text" v-model=newHistory> <button @click="loadHistory">Load history</button></p>
	<p>Lock color: <input type="checkbox" v-model=colorlock></p>
	</main>
</div>
<footer>
<nav>
	<ul>
		<li><a href="/">Home</a></li>
		<li><a href="/play.html">Play</a></li>
		<li><a href="/articles.html">Articles</a></li>
	</ul>
</nav>
</footer>
<script type="text/javascript" src="play.js"></script>

</body>

</html>
